org.sunflow.core.accel

## Class NullAccelerator

- java.lang.Object
- - org.sunflow.core.accel.NullAccelerator

All Implemented Interfaces:
  AccelerationStructure

    public class NullAccelerator
    extends java.lang.Object
    implements AccelerationStructure

### Constructor Summary

Constructors
Constructor and Description
`NullAccelerator()`

### Method Summary

Methods
`void` `build(PrimitiveList primitives)` Construct an acceleration structure for the specified primitive list.
`void` `intersect(Ray r, IntersectionState state)` Intersect the specified ray with the geometry in local space.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullAccelerator

    public NullAccelerator()

### Method Detail

#### build

    public void build(PrimitiveList primitives)

Description copied from interface: `AccelerationStructure`
Construct an acceleration structure for the specified primitive list.

Specified by:
  `build` in interface `AccelerationStructure`

#### intersect

    public void intersect(Ray r,
                 IntersectionState state)

Description copied from interface: `AccelerationStructure`
Intersect the specified ray with the geometry in local space. The ray will be provided in local space.

Specified by:
  `intersect` in interface `AccelerationStructure`
Parameters:
  `r` - ray in local space
  `state` - state to store the intersection into